# SIM Lifecycle changes

SIM lifecycle state changes will be pushed to the configured endpoint in below format.

```
{
  "account_name": "ABC",
  "account_no": 123456789,
  "current_sim_profile_state": "Suspended",
  "eid": "12345011014230000000000000123456",
  "iccid": "1234500000001234567",
  "previous_sim_profile_state": "Active",
  "rule_details": {
    "name": "SIM Lifecycle",
    "event": "SIM profile state",
    "category": "Service change",
    "parameters": [
      {
        "target_state": "ANY"
      }
    ]
  },
  "sim_profile_state_change_datetime": "2024-01-06T14:35:05.345486Z",
  "target_state": "Any"
}
```

| Item                                  | Description                                                                 |
| ------------------------------------- | --------------------------------------------------------------------------- |
| account\_name                         | Account name                                                                |
| account\_no                           | Account number                                                              |
| current\_sim\_profile\_state          | New lifecycle state of the ICCID                                            |
| eid                                   | EID of the physical eSIM                                                    |
| iccid                                 | ICCID of the SIM Profile on which change occurred                           |
| previous\_sim\_profile\_state         | Previous lifecycle state of the ICCID                                       |
| rule\_details                         | Details of the rule that is enabled to create the notifications via webhook |
| sim\_profile\_state\_change\_datetime | Time stamp in UTC                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.connectedyou.io/knowledge-base/connectedyou-platform/api-docs/apis-reference/webhooks/sim-lifecycle-changes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
